Mcps

get

Retrieves available MCP options.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all available MCP options.

application/json
typestring · enumRequiredPossible values:
get
/api/v1/mcps/options
get

Retrieves available MCP tool options for a toolkit.

Path parameters
toolkitstring · enumRequiredPossible values:
Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves MCP tool options for the given toolkit.

application/json
get
/api/v1/mcps/tool-options/{toolkit}
get

Retrieves multiple MCPs.

Query parameters
agentIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

connectionIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

joinsany ofOptionalDefault: []
or
string · enumOptionalPossible values:
pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional

Search term to filter MCPs by name or description.

versionIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all MCPs for the workspace.

application/json
or
get
/api/v1/mcps
post

Creates a new MCP.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
connectionIdstring · uuid · nullableRequired

The id of the connection the MCP will be used through.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the MCP.

detailone ofRequired
namestring · min: 3 · max: 50Required

The display name of the MCP.

Responses
200

The MCP was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

connectionIdstring · uuid · nullableRequired

The id of the connection the MCP will be used through.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the MCP.

detailone ofRequired
namestring · min: 3 · max: 50Required

The display name of the MCP.

workspaceIdstring · uuidRequired

The workspace ID that owns the MCP.

post
/api/v1/mcps
get

Retrieves an MCP.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves an MCP.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

connectionIdstring · uuid · nullableRequired

The id of the connection the MCP will be used through.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the MCP.

detailone ofRequired
namestring · min: 3 · max: 50Required

The display name of the MCP.

workspaceIdstring · uuidRequired

The workspace ID that owns the MCP.

get
/api/v1/mcps/{id}
delete

Removes an MCP.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The MCP was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete
/api/v1/mcps/{id}
patch

Updates an MCP.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
connectionIdstring · uuid · nullableOptional

The id of the connection the MCP will be used through.

descriptionstring · min: 3 · max: 250 · nullableOptional

The internal description of the MCP.

detailany ofOptional
namestring · min: 3 · max: 50Optional

The display name of the MCP.

Responses
200

The MCP was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

connectionIdstring · uuid · nullableRequired

The id of the connection the MCP will be used through.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the MCP.

detailone ofRequired
namestring · min: 3 · max: 50Required

The display name of the MCP.

workspaceIdstring · uuidRequired

The workspace ID that owns the MCP.

patch
/api/v1/mcps/{id}

Last updated